Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005292TestLinkAPI - XMLRPCpublic2012-10-18 09:292015-04-29 20:50
Reporterkta 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0005292: getLastExecutionResult method - changed to use optional argument "platformid"
DescriptionMade it by adding these lines:
            // platform?
            if($this->_isParamPresent(self::$platformIDParamName))
            {
              $pf_add = "AND platform_id = {$this->args[self::$platformIDParamName]}";
            }
            else
            {
              $pf_add = "";
            }
and then this:
                   " {$pf_add} " .
in
    public function getLastExecutionResult($args)
in
    xmlrpc.class.php
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0023266)
Mr.Bricodage (updater)
2015-04-29 20:40

xmlrpc.class.php content, getLastExecutionResult function from github

$execContext['platform_id'] = $this->args[self::$platformIDParamName];
[...]
 $sql .= " AND platform_id = " . intval($execContext['platform_id']);

==> optional argument "platformid" is now used.

Issue can be closed

- Issue History
Date Modified Username Field Change
2012-10-18 09:29 kta New Issue
2012-10-18 09:40 fman Additional Information Updated View Revisions
2012-10-18 09:41 fman Summary getLastExecutionResult to use optional argument "platformid" => getLastExecutionResult method - changed to use optional argument "platformid"
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC
2015-04-29 20:40 Mr.Bricodage Note Added: 0023266
2015-04-29 20:40 Mr.Bricodage Relationship added child of 0007083
2015-04-29 20:50 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-04-29 20:50 fman Status new => closed
2015-04-29 20:50 fman Assigned To => fman
2015-04-29 20:50 fman Resolution open => fixed
2015-04-29 20:50 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-04-29 21:38 Mr.Bricodage Relationship deleted child of 0007083



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker